<?php

/*
  Plugin Name: Hookie for BuddyPress
  Plugin URI: http://mircobabini.com/
  Description: Enables specific BuddyPress hooks to get shown into the page dom [Extension of Hookie (Visual Hook Reference)]
  Version: 1.0.1
  Author: Mirco Babini
  Author URI: http://mircobabini.com/
  License: GPL version 2 or later - http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 */
/*  Copyright 2014  Mirco Babini  (email : mirkolofio@gmail.com)

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License, version 2, as
  published by the Free Software Foundation.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

if( !defined( 'ABSPATH' ) )
    exit;

$hookie_buddypress = new Hookie_BuddyPress();

add_action( 'hookie_init_hooks', array( $hookie_buddypress, 'init_hooks' ), 42, 1 );

class Hookie_BuddyPress{

    private $hooks = array(
        'bp_register_activity_actions',
        'bp_activity_feed_rss_attributes',
        'bp_activity_feed_channel_elements',
        'bp_activity_feed_item_elements',
        'bp_activity_register_activity_actions',
        'updates_register_activity_actions',
        'bp_activity_screen_index',
        'bp_activity_screen_my_activity',
        'bp_activity_screen_friends',
        'bp_activity_screen_groups',
        'bp_activity_screen_favorites',
        'bp_activity_screen_mentions',
        'bp_activity_screen_notification_settings',
        'bp_activity_screen_index',
        'bp_activity_filter_options',
        'bp_blogs_register_activity_actions',
        'bp_blogs_screen_my_blogs',
        'bp_blogs_screen_create_a_blog',
        'bp_blogs_screen_index',
        'signup_hidden_fields',
        'bp_blogs_blog_tabs',
        'bp_admin_init',
        'bp_admin_menu',
        'bp_admin_head',
        'bp_admin_notices',
        'bp_register_importers',
        'bp_register_admin_style',
        'bp_register_admin_settings',
        'bp_admin_tabs',
        'bp_active_external_directories',
        'bp_active_external_pages',
        'bp_network_tool_box',
        'bp_core_set_avatar_globals',
        'bp_adminbar_logo',
        'bp_adminbar_menus',
        'bp_adminbar_thisblog_items',
        'bp_adminbar_random_menu',
        'bp_core_clear_cache',
        'bp_add_caps',
        'bp_remove_caps',
        'bp_setup_theme_compat',
        'bp_include',
        'bp_setup_components',
        'bp_setup_globals',
        'bp_setup_nav',
        'bp_setup_admin_bar',
        'bp_setup_title',
        'bp_register_widgets',
        'bp_setup_current_user',
        'bp_init',
        'bp_loaded',
        'bp_ready',
        'bp_actions',
        'bp_screens',
        'bp_template_redirect',
        'bp_register_theme_directory',
        'bp_register_theme_packages',
        'bp_add_rewrite_tags',
        'bp_add_rewrite_rules',
        'bp_add_permastructs',
        'bp_core_render_message',
        'bp_core_loaded',
        'bp_core_components_included',
        'bp_core_setup_globals',
        'bp_add_options',
        'bp_delete_options',
        'bp_setup_option_filters',
        'bp_styles',
        'bp_custom_profile_boxes',
        'bp_custom_profile_sidebar_boxes',
        'bp_template_include_reset_dummy_post_data',
        'bp_activation',
        'bp_loader_activate',
        'bp_deactivation',
        'bp_loader_deactivate',
        'bp_uninstall',
        'bp_before_login_widget_loggedin',
        'bp_after_login_widget_loggedin',
        'bp_before_login_widget_loggedout',
        'bp_after_login_widget_loggedout',
        'bp_setup_root_components',
        'friends_header_tabs',
        'bb_admin_notices',
        'bb_admin_footer',
        'bb_admin_head',
        'bb_pre_export',
        'bb_export',
        'bb_admin_notices',
        'bb_schema_defined',
        'bb_get_admin_header',
        'bb_admin_menu_generator',
        'bb_admin_notices',
        'bb_recount_list',
        'bb_admin_notices',
        'clear_auth_cookie',
        'wp_print_scripts',
        'wp_print_styles',
        'bb_ssl_redirect',
        'bb_send_headers',
        'pre_post_form',
        'post_form',
        'post_post_form',
        'bb_admin_notices',
        'bb_options_loaded',
        'bb_underscore_plugins_loaded',
        'bb_plugins_loaded',
        'bb_got_roles',
        'bb_shutdown',
        'bb_init',
        'edit_form_pre_post',
        'post_form_pre_post',
        'bb_rss2_head',
        'bb_rss2_item',
        'bb_stats_left',
        'bb_stats_right',
        'bb_got_roles',
        'bbpress_init',
        'bp_forums_directory_forums_setup',
        'bp_member_forums_screen_topics',
        'bp_member_forums_screen_replies',
        'bp_member_forums_screen_favorites',
        'bp_forums_screen_single_forum',
        'bp_forums_screen_single_topic',
        'bp_forums_directory_forums_setup',
        'friends_register_activity_actions',
        'friends_screen_my_friends',
        'friends_screen_requests',
        'friends_screen_notification_settings',
        'groups_create_group_step_complete',
        'groups_register_activity_actions',
        'bp_groups_admin_meta_boxes',
        'bp_groups_adminbar_admin_menu',
        'bbpress_init',
        'groups_directory_groups_setup',
        'groups_screen_my_groups',
        'groups_screen_group_home',
        'groups_screen_notification_settings',
        'groups_directory_groups_setup',
        'bp_members_directory_member_sub_types',
        'bp_groups_members_order_options',
        'groups_creation_tabs',
        'groups_header_tabs',
        'bp_groups_filter_title',
        'groups_custom_group_boxes',
        'groups_custom_group_admin_tabs',
        'groups_custom_group_fields_editable',
        'groups_custom_group_fields',
        'bp_members_admin_user_metaboxes',
        'bp_members_adminbar_admin_menu',
        'bp_members_screen_display_profile',
        'bp_members_screen_index',
        'bp_signup_pre_validate',
        'bp_signup_validate',
        'bp_complete_signup',
        'bp_core_screen_signup',
        'bp_members_screen_index',
        'bp_members_screen_display_profile',
        'member_loop_start',
        'messages_action_conversation',
        'messages_screen_inbox',
        'messages_screen_sentbox',
        'messages_screen_compose',
        'messages_screen_conversation',
        'messages_screen_notices',
        'messages_screen_notification_settings',
        'bp_notifications_screen_unread',
        'bp_notifications_screen_read',
        'notifications_loop_start',
        'bp_core_general_settings_after_save',
        'bp_core_notification_settings_after_save',
        'bp_settings_capabilities_before_save',
        'bp_settings_capabilities_after_save',
        'bp_before_activity_loop',
        'bp_after_activity_loop',
        'bp_before_activity_comment',
        'bp_activity_comment_options',
        'bp_after_activity_comment',
        'bp_before_activity_entry',
        'bp_activity_entry_content',
        'bp_activity_entry_meta',
        'bp_before_activity_entry_comments',
        'bp_activity_entry_comments',
        'bp_after_activity_entry_comments',
        'bp_after_activity_entry',
        'bp_before_directory_activity',
        'bp_before_directory_activity_content',
        'template_notices',
        'bp_before_activity_type_tab_all',
        'bp_before_activity_type_tab_friends',
        'bp_before_activity_type_tab_groups',
        'bp_before_activity_type_tab_favorites',
        'bp_before_activity_type_tab_mentions',
        'bp_activity_type_tabs',
        'bp_activity_syndication_options',
        'bp_activity_filter_options',
        'bp_before_directory_activity_list',
        'bp_after_directory_activity_list',
        'bp_directory_activity_content',
        'bp_after_directory_activity_content',
        'bp_after_directory_activity',
        'bp_before_activity_post_form',
        'bp_activity_post_form_options',
        'bp_after_activity_post_form',
        'template_notices',
        'bp_before_blogs_loop',
        'bp_before_directory_blogs_list',
        'bp_directory_blogs_item',
        'bp_directory_blogs_actions',
        'bp_after_directory_blogs_list',
        'bp_after_blogs_loop',
        'bp_before_create_blog_content_template',
        'template_notices',
        'bp_before_create_blog_content',
        'bp_after_create_blog_content',
        'bp_after_create_blog_content_template',
        'bp_before_directory_blogs',
        'bp_before_directory_blogs_content',
        'bp_blogs_directory_blog_types',
        'bp_blogs_directory_blog_sub_types',
        'bp_blogs_directory_order_options',
        'bp_directory_blogs_content',
        'bp_after_directory_blogs_content',
        'bp_after_directory_blogs',
        'bp_before_forums_loop',
        'bp_before_directory_forums_list',
        'bp_directory_forums_extra_cell_head',
        'bp_directory_forums_extra_cell',
        'bp_directory_forums_extra_row',
        'bp_after_directory_forums_list',
        'bp_after_forums_loop',
        'bp_before_directory_forums',
        'bp_before_directory_forums_content',
        'bp_before_topics',
        'bp_forums_directory_group_types',
        'bp_forums_directory_group_sub_types',
        'bp_forums_directory_order_options',
        'bp_directory_forums_content',
        'bp_after_directory_forums',
        'bp_before_new_topic_form',
        'groups_forum_new_topic_before',
        'template_notices',
        'groups_forum_new_topic_after',
        'bp_after_new_topic_form',
        'bp_after_directory_forums_content',
        'bp_before_create_group_page',
        'bp_before_create_group_content_template',
        'bp_before_create_group',
        'template_notices',
        'bp_before_group_details_creation_step',
        'bp_after_group_details_creation_step',
        'groups_custom_group_fields_editable',
        'bp_before_group_settings_creation_step',
        'bp_after_group_settings_creation_step',
        'bp_before_group_avatar_creation_step',
        'bp_after_group_avatar_creation_step',
        'bp_before_group_invites_creation_step',
        'bp_after_group_invites_creation_step',
        'groups_custom_create_steps',
        'bp_before_group_creation_step_buttons',
        'bp_after_group_creation_step_buttons',
        'bp_directory_groups_content',
        'bp_after_create_group',
        'bp_after_create_group_content_template',
        'bp_after_create_group_page',
        'bp_before_groups_loop',
        'bp_before_directory_groups_list',
        'bp_directory_groups_item',
        'bp_directory_groups_actions',
        'bp_after_directory_groups_list',
        'bp_after_groups_loop',
        'bp_before_directory_groups_page',
        'bp_before_directory_groups',
        'bp_before_directory_groups_content',
        'template_notices',
        'bp_groups_directory_group_filter',
        'bp_groups_directory_group_types',
        'bp_groups_directory_order_options',
        'bp_directory_groups_content',
        'bp_after_directory_groups_content',
        'bp_after_directory_groups',
        'bp_after_directory_groups_page',
        'bp_group_activity_syndication_options',
        'bp_group_activity_filter_options',
        'bp_before_group_activity_post_form',
        'bp_after_group_activity_post_form',
        'bp_before_group_activity_content',
        'bp_after_group_activity_content',
        'bp_before_group_admin_content',
        'bp_before_group_details_admin',
        'groups_custom_group_fields_editable',
        'bp_after_group_details_admin',
        'bp_before_group_settings_admin',
        'bp_after_group_settings_admin',
        'bp_before_group_manage_members_admin',
        'bp_group_manage_members_admin_item',
        'bp_after_group_manage_members_admin',
        'bp_before_group_membership_requests_admin',
        'bp_after_group_membership_requests_admin',
        'groups_custom_edit_steps',
        'bp_before_group_delete_admin',
        'bp_after_group_delete_admin',
        'bp_after_group_admin_content',
        'bp_before_group_forum_edit_form',
        'bp_group_forum_topic_meta',
        'bp_group_before_edit_forum_topic',
        'bp_group_after_edit_forum_topic',
        'bp_group_before_edit_forum_post',
        'bp_group_after_edit_forum_post',
        'bp_after_group_forum_edit_form',
        'bp_before_group_forum_topic',
        'bp_group_forum_topic_meta',
        'bp_before_group_forum_topic_posts',
        'bp_group_forum_post_meta',
        'bp_after_group_forum_topic_posts',
        'groups_forum_new_reply_before',
        'groups_forum_new_reply_after',
        'bp_after_group_forum_topic',
        'bp_before_group_forum_content',
        'bp_forums_directory_group_sub_types',
        'bp_forums_directory_order_options',
        'bp_after_group_forum_content',
        'bp_before_group_forum_post_new',
        'bp_after_group_forum_post_new',
        'bp_before_group_header',
        'bp_after_group_menu_admins',
        'bp_before_group_menu_mods',
        'bp_after_group_menu_mods',
        'bp_before_group_header_meta',
        'bp_group_header_actions',
        'bp_group_header_meta',
        'bp_after_group_header',
        'template_notices',
        'bp_before_group_home_content',
        'bp_group_options_nav',
        'bp_before_group_body',
        'bp_before_group_status_message',
        'bp_after_group_status_message',
        'bp_after_group_body',
        'bp_after_group_home_content',
        'bp_before_group_send_invites_list',
        'bp_group_send_invites_item',
        'bp_group_send_invites_item_action',
        'bp_after_group_send_invites_list',
        'bp_before_group_members_content',
        'bp_before_group_members_list',
        'bp_group_members_list_item',
        'bp_group_members_list_item_action',
        'bp_after_group_members_list',
        'bp_after_group_members_content',
        'bp_before_group_plugin_template',
        'bp_template_content',
        'bp_after_group_plugin_template',
        'bp_before_group_request_membership_content',
        'bp_group_request_membership_content',
        'bp_after_group_request_membership_content',
        'bp_group_membership_requests_admin_item',
        'bp_group_membership_requests_admin_item_action',
        'bp_before_group_send_invites_content',
        'bp_after_group_send_invites_content',
        'bp_before_activation_page',
        'template_notices',
        'bp_before_activate_content',
        'bp_after_activate_content',
        'bp_after_activation_page',
        'bp_before_directory_members_page',
        'bp_before_directory_members',
        'bp_before_directory_members_content',
        'bp_before_directory_members_tabs',
        'bp_members_directory_member_types',
        'bp_members_directory_member_sub_types',
        'bp_members_directory_order_options',
        'bp_directory_members_content',
        'bp_after_directory_members_content',
        'bp_after_directory_members',
        'bp_after_directory_members_page',
        'bp_before_members_loop',
        'bp_before_directory_members_list',
        'bp_directory_members_item',
        'bp_directory_members_actions',
        'bp_after_directory_members_list',
        'bp_after_members_loop',
        'bp_before_register_page',
        'template_notices',
        'bp_before_registration_disabled',
        'bp_after_registration_disabled',
        'template_notices',
        'bp_before_account_details_fields',
        'bp_signup_username_errors',
        'bp_signup_email_errors',
        'bp_signup_password_errors',
        'bp_signup_password_confirm_errors',
        'bp_account_details_fields',
        'bp_after_account_details_fields',
        'bp_before_signup_profile_fields',
        'bp_custom_profile_edit_fields_pre_visibility',
        'bp_custom_profile_edit_fields',
        'bp_signup_profile_fields',
        'bp_after_signup_profile_fields',
        'bp_before_blog_details_fields',
        'bp_signup_blog_url_errors',
        'bp_signup_blog_title_errors',
        'bp_signup_blog_privacy_errors',
        'bp_blog_details_fields',
        'bp_after_blog_details_fields',
        'bp_before_registration_submit_buttons',
        'bp_after_registration_submit_buttons',
        'template_notices',
        'bp_before_registration_confirmed',
        'bp_after_registration_confirmed',
        'bp_custom_signup_steps',
        'bp_after_register_page',
        'bp_member_activity_filter_options',
        'bp_before_member_activity_post_form',
        'bp_after_member_activity_post_form',
        'bp_before_member_activity_content',
        'bp_after_member_activity_content',
        'bp_member_blog_order_options',
        'bp_before_member_blogs_content',
        'bp_after_member_blogs_content',
        'bp_forums_directory_order_options',
        'bp_before_member_forums_content',
        'bp_after_member_forums_content',
        'bp_before_member_friend_requests_content',
        'bp_friend_requests_item',
        'bp_friend_requests_item_action',
        'bp_friend_requests_content',
        'bp_after_member_friend_requests_content',
        'bp_member_friends_order_options',
        'bp_before_member_friends_content',
        'bp_after_member_friends_content',
        'bp_before_group_invites_content',
        'bp_group_invites_item',
        'bp_group_invites_item_action',
        'bp_after_group_invites_content',
        'bp_member_group_order_options',
        'bp_before_member_groups_content',
        'bp_after_member_groups_content',
        'bp_before_member_home_content',
        'bp_member_options_nav',
        'bp_before_member_body',
        'bp_after_member_body',
        'bp_after_member_home_content',
        'bp_before_member_header',
        'bp_before_member_header_meta',
        'bp_member_header_actions',
        'bp_profile_header_meta',
        'bp_after_member_header',
        'template_notices',
        'bp_before_messages_compose_content',
        'bp_after_messages_compose_content',
        'bp_before_member_messages_loop',
        'bp_after_member_messages_pagination',
        'bp_messages_inbox_list_item',
        'bp_after_member_messages_threads',
        'bp_after_member_messages_options',
        'bp_after_member_messages_loop',
        'bp_before_notices_loop',
        'bp_after_notices_pagination',
        'bp_before_notices',
        'bp_notices_list_item',
        'bp_after_notices',
        'bp_after_notices_loop',
        'bp_before_message_thread_content',
        'bp_before_message_thread_list',
        'bp_before_message_meta',
        'bp_after_message_meta',
        'bp_before_message_content',
        'bp_after_message_content',
        'bp_after_message_thread_list',
        'bp_before_message_thread_reply',
        'bp_before_message_meta',
        'bp_after_message_meta',
        'bp_before_message_reply_box',
        'bp_after_message_reply_box',
        'bp_after_message_thread_reply',
        'bp_after_message_thread_content',
        'bp_before_member_messages_content',
        'bp_after_member_messages_content',
        'bp_before_member_messages_content',
        'bp_after_member_messages_content',
        'bp_before_member_plugin_template',
        'bp_member_plugin_options_nav',
        'bp_template_title',
        'bp_template_content',
        'bp_after_member_plugin_template',
        'bp_before_profile_avatar_upload_content',
        'bp_after_profile_avatar_upload_content',
        'bp_before_profile_edit_content',
        'bp_before_profile_field_content',
        'bp_custom_profile_edit_fields_pre_visibility',
        'bp_custom_profile_edit_fields',
        'bp_after_profile_field_content',
        'bp_after_profile_edit_content',
        'bp_before_profile_loop_content',
        'bp_before_profile_field_content',
        'bp_profile_field_item',
        'bp_after_profile_field_content',
        'bp_profile_field_buttons',
        'bp_after_profile_loop_content',
        'bp_before_profile_loop_content',
        'bp_before_profile_field_content',
        'bp_after_profile_field_content',
        'bp_profile_field_buttons',
        'bp_after_profile_loop_content',
        'bp_before_profile_content',
        'bp_after_profile_content',
        'bp_before_member_settings_template',
        'bp_members_capabilities_account_before_submit',
        'bp_members_capabilities_account_after_submit',
        'bp_after_member_settings_template',
        'bp_before_member_settings_template',
        'bp_members_delete_account_before_submit',
        'bp_members_delete_account_after_submit',
        'bp_after_member_settings_template',
        'bp_before_member_settings_template',
        'bp_core_general_settings_before_submit',
        'bp_core_general_settings_after_submit',
        'bp_after_member_settings_template',
        'bp_before_member_settings_template',
        'bp_notification_settings',
        'bp_members_notification_settings_before_submit',
        'bp_members_notification_settings_after_submit',
        'bp_after_member_settings_template',
        'bp_before_member_settings_template',
        'bp_core_xprofile_settings_before_submit',
        'bp_core_xprofile_settings_after_submit',
        'bp_after_member_settings_template',
        'bp_before_message_meta',
        'bp_after_message_meta',
        'bp_before_message_content',
        'bp_after_message_content',
        'bp_before_404',
        'bp_404',
        'bp_after_404',
        'bp_before_message_meta',
        'bp_after_message_meta',
        'bp_before_message_content',
        'bp_after_message_content',
        'bp_before_activity_loop',
        'bp_after_activity_loop',
        'bp_before_activity_comment',
        'bp_activity_comment_options',
        'bp_after_activity_comment',
        'bp_before_activity_entry',
        'bp_activity_entry_content',
        'bp_activity_entry_meta',
        'bp_before_activity_entry_comments',
        'bp_activity_entry_comments',
        'bp_after_activity_entry_comments',
        'bp_after_activity_entry',
        'bp_before_directory_activity_page',
        'bp_before_directory_activity',
        'bp_before_directory_activity_content',
        'template_notices',
        'bp_before_activity_type_tab_all',
        'bp_before_activity_type_tab_friends',
        'bp_before_activity_type_tab_groups',
        'bp_before_activity_type_tab_favorites',
        'bp_before_activity_type_tab_mentions',
        'bp_activity_type_tabs',
        'bp_activity_syndication_options',
        'bp_activity_filter_options',
        'bp_before_directory_activity_list',
        'bp_after_directory_activity_list',
        'bp_directory_activity_content',
        'bp_after_directory_activity_content',
        'bp_after_directory_activity',
        'bp_after_directory_activity_page',
        'bp_before_activity_post_form',
        'bp_activity_post_form_options',
        'bp_after_activity_post_form',
        'bp_before_archive',
        'bp_before_blog_post',
        'bp_after_blog_post',
        'bp_after_archive',
        'bp_before_attachment',
        'bp_before_blog_post',
        'bp_after_blog_post',
        'bp_after_attachment',
        'bp_before_blogs_loop',
        'bp_before_directory_blogs_list',
        'bp_directory_blogs_item',
        'bp_directory_blogs_actions',
        'bp_after_directory_blogs_list',
        'bp_after_blogs_loop',
        'bp_before_directory_blogs_content',
        'bp_before_create_blog_content_template',
        'template_notices',
        'bp_before_create_blog_content',
        'bp_after_create_blog_content',
        'bp_after_create_blog_content_template',
        'bp_after_directory_blogs_content',
        'bp_before_directory_blogs_page',
        'bp_before_directory_blogs',
        'bp_before_directory_blogs_content',
        'bp_blogs_directory_blog_types',
        'bp_blogs_directory_blog_sub_types',
        'bp_blogs_directory_order_options',
        'bp_directory_blogs_content',
        'bp_after_directory_blogs_content',
        'bp_after_directory_blogs',
        'bp_after_directory_blogs_page',
        'bp_before_blog_comment_list',
        'bp_after_blog_comment_list',
        'bp_after_container',
        'bp_dtheme_credits',
        'bp_footer',
        'bp_after_footer',
        'bp_before_forums_loop',
        'bp_before_directory_forums_list',
        'bp_directory_forums_extra_cell_head',
        'bp_directory_forums_extra_cell',
        'bp_directory_forums_extra_row',
        'bp_after_directory_forums_list',
        'bp_after_forums_loop',
        'bp_before_directory_forums_page',
        'bp_before_directory_forums',
        'bp_before_directory_forums_content',
        'bp_before_topics',
        'bp_forums_directory_group_types',
        'bp_forums_directory_group_sub_types',
        'bp_forums_directory_order_options',
        'bp_directory_forums_content',
        'bp_after_directory_forums',
        'bp_before_new_topic_form',
        'groups_forum_new_topic_before',
        'template_notices',
        'groups_forum_new_topic_after',
        'bp_after_new_topic_form',
        'bp_after_directory_forums_content',
        'bp_after_directory_forums_page',
        'bp_nav_items',
        'bp_before_create_group_content_template',
        'bp_before_create_group',
        'template_notices',
        'bp_before_group_details_creation_step',
        'bp_after_group_details_creation_step',
        'groups_custom_group_fields_editable',
        'bp_before_group_settings_creation_step',
        'bp_after_group_settings_creation_step',
        'bp_before_group_avatar_creation_step',
        'bp_after_group_avatar_creation_step',
        'bp_before_group_invites_creation_step',
        'bp_after_group_invites_creation_step',
        'groups_custom_create_steps',
        'bp_before_group_creation_step_buttons',
        'bp_after_group_creation_step_buttons',
        'bp_directory_groups_content',
        'bp_after_create_group',
        'bp_after_create_group_content_template',
        'bp_before_groups_loop',
        'bp_before_directory_groups_list',
        'bp_directory_groups_item',
        'bp_directory_groups_actions',
        'bp_after_directory_groups_list',
        'bp_after_groups_loop',
        'bp_before_directory_groups_page',
        'bp_before_directory_groups',
        'bp_before_directory_groups_content',
        'template_notices',
        'bp_groups_directory_group_filter',
        'bp_groups_directory_group_types',
        'bp_groups_directory_order_options',
        'bp_directory_groups_content',
        'bp_after_directory_groups_content',
        'bp_after_directory_groups',
        'bp_after_directory_groups_page',
        'bp_group_activity_syndication_options',
        'bp_group_activity_filter_options',
        'bp_before_group_activity_post_form',
        'bp_after_group_activity_post_form',
        'bp_before_group_activity_content',
        'bp_after_group_activity_content',
        'bp_before_group_admin_content',
        'bp_before_group_details_admin',
        'groups_custom_group_fields_editable',
        'bp_after_group_details_admin',
        'bp_before_group_settings_admin',
        'bp_after_group_settings_admin',
        'bp_before_group_manage_members_admin',
        'bp_group_manage_members_admin_item',
        'bp_after_group_manage_members_admin',
        'bp_before_group_membership_requests_admin',
        'bp_group_membership_requests_admin_item',
        'bp_group_membership_requests_admin_item_action',
        'bp_after_group_membership_requests_admin',
        'groups_custom_edit_steps',
        'bp_before_group_delete_admin',
        'bp_after_group_delete_admin',
        'bp_after_group_admin_content',
        'bp_before_group_forum_edit_form',
        'bp_group_forum_topic_meta',
        'bp_group_before_edit_forum_topic',
        'bp_group_after_edit_forum_topic',
        'bp_group_before_edit_forum_post',
        'bp_group_after_edit_forum_post',
        'bp_after_group_forum_edit_form',
        'bp_before_group_forum_topic',
        'bp_group_forum_topic_meta',
        'bp_before_group_forum_topic_posts',
        'bp_group_forum_post_meta',
        'bp_after_group_forum_topic_posts',
        'groups_forum_new_reply_before',
        'groups_forum_new_reply_after',
        'bp_after_group_forum_topic',
        'bp_before_group_forum_content',
        'bp_forums_directory_group_sub_types',
        'bp_forums_directory_order_options',
        'bp_after_group_forum_content',
        'bp_before_group_forum_post_new',
        'bp_after_group_forum_post_new',
        'bp_before_group_header',
        'bp_after_group_menu_admins',
        'bp_before_group_menu_mods',
        'bp_after_group_menu_mods',
        'bp_before_group_header_meta',
        'bp_group_header_actions',
        'bp_group_header_meta',
        'bp_after_group_header',
        'template_notices',
        'bp_before_group_home_content',
        'bp_group_options_nav',
        'bp_before_group_body',
        'bp_before_group_status_message',
        'bp_after_group_status_message',
        'bp_after_group_body',
        'bp_after_group_home_content',
        'bp_before_group_members_content',
        'bp_members_directory_member_sub_types',
        'bp_before_group_members_list',
        'bp_group_members_list_item',
        'bp_group_members_list_item_action',
        'bp_after_group_members_list',
        'bp_after_group_members_content',
        'bp_before_group_plugin_template',
        'bp_group_plugin_options_nav',
        'bp_before_group_body',
        'bp_template_content',
        'bp_after_group_body',
        'bp_after_group_plugin_template',
        'bp_before_group_request_membership_content',
        'bp_group_request_membership_content',
        'bp_after_group_request_membership_content',
        'bp_before_group_send_invites_content',
        'bp_before_group_send_invites_list',
        'bp_group_send_invites_item',
        'bp_group_send_invites_item_action',
        'bp_after_group_send_invites_list',
        'bp_after_group_send_invites_content',
        'bp_before_header',
        'bp_search_login_bar',
        'bp_header',
        'bp_before_container',
        'bp_before_blog_home',
        'template_notices',
        'bp_before_blog_post',
        'bp_after_blog_post',
        'bp_after_blog_home',
        'bp_before_blog_links',
        'bp_after_blog_links',
        'bp_before_directory_members_page',
        'bp_before_directory_members',
        'bp_before_directory_members_content',
        'bp_before_directory_members_tabs',
        'bp_members_directory_member_types',
        'bp_members_directory_member_sub_types',
        'bp_members_directory_order_options',
        'bp_directory_members_content',
        'bp_after_directory_members_content',
        'bp_after_directory_members',
        'bp_after_directory_members_page',
        'bp_before_members_loop',
        'bp_before_directory_members_list',
        'bp_directory_members_item',
        'bp_directory_members_actions',
        'bp_after_directory_members_list',
        'bp_after_members_loop',
        'template_notices',
        'bp_member_activity_filter_options',
        'bp_before_member_activity_post_form',
        'bp_after_member_activity_post_form',
        'bp_before_member_activity_content',
        'bp_after_member_activity_content',
        'bp_member_blog_order_options',
        'bp_before_member_blogs_content',
        'bp_after_member_blogs_content',
        'bp_forums_directory_order_options',
        'bp_before_member_forums_content',
        'bp_after_member_forums_content',
        'bp_before_member_friend_requests_content',
        'bp_friend_requests_item',
        'bp_friend_requests_item_action',
        'bp_friend_requests_content',
        'bp_after_member_friend_requests_content',
        'bp_member_friends_order_options',
        'bp_before_member_friends_content',
        'bp_after_member_friends_content',
        'bp_before_group_invites_content',
        'bp_group_invites_item',
        'bp_group_invites_item_action',
        'bp_after_group_invites_content',
        'bp_member_group_order_options',
        'bp_before_member_groups_content',
        'bp_after_member_groups_content',
        'bp_before_member_home_content',
        'bp_member_options_nav',
        'bp_before_member_body',
        'bp_after_member_body',
        'bp_after_member_home_content',
        'bp_before_member_header',
        'bp_before_member_header_meta',
        'bp_member_header_actions',
        'bp_profile_header_meta',
        'bp_after_member_header',
        'template_notices',
        'bp_before_messages_compose_content',
        'bp_after_messages_compose_content',
        'bp_before_member_messages_loop',
        'bp_after_member_messages_pagination',
        'bp_messages_inbox_list_item',
        'bp_after_member_messages_threads',
        'bp_after_member_messages_options',
        'bp_after_member_messages_loop',
        'bp_before_notices_loop',
        'bp_after_notices_pagination',
        'bp_before_notices',
        'bp_notices_list_item',
        'bp_after_notices',
        'bp_after_notices_loop',
        'bp_before_message_thread_content',
        'bp_before_message_thread_list',
        'bp_before_message_meta',
        'bp_after_message_meta',
        'bp_before_message_content',
        'bp_after_message_content',
        'bp_after_message_thread_list',
        'bp_before_message_thread_reply',
        'bp_before_message_meta',
        'bp_after_message_meta',
        'bp_before_message_reply_box',
        'bp_after_message_reply_box',
        'bp_after_message_thread_reply',
        'bp_after_message_thread_content',
        'bp_before_member_messages_content',
        'bp_after_member_messages_content',
        'bp_before_member_plugin_template',
        'bp_member_options_nav',
        'bp_before_member_body',
        'bp_member_plugin_options_nav',
        'bp_template_title',
        'bp_template_content',
        'bp_after_member_body',
        'bp_after_member_plugin_template',
        'bp_before_profile_avatar_upload_content',
        'bp_after_profile_avatar_upload_content',
        'bp_before_profile_edit_content',
        'bp_before_profile_field_content',
        'bp_custom_profile_edit_fields_pre_visibility',
        'bp_custom_profile_edit_fields',
        'bp_after_profile_field_content',
        'bp_after_profile_edit_content',
        'bp_before_profile_loop_content',
        'bp_before_profile_field_content',
        'bp_profile_field_item',
        'bp_after_profile_field_content',
        'bp_profile_field_buttons',
        'bp_after_profile_loop_content',
        'bp_before_profile_loop_content',
        'bp_before_profile_field_content',
        'bp_after_profile_field_content',
        'bp_profile_field_buttons',
        'bp_after_profile_loop_content',
        'bp_before_profile_content',
        'bp_after_profile_content',
        'bp_before_member_settings_template',
        'bp_member_options_nav',
        'bp_before_member_body',
        'bp_member_plugin_options_nav',
        'bp_members_capabilities_account_before_submit',
        'bp_members_capabilities_account_after_submit',
        'bp_after_member_body',
        'bp_after_member_settings_template',
        'bp_before_member_settings_template',
        'bp_member_options_nav',
        'bp_before_member_body',
        'bp_member_plugin_options_nav',
        'bp_members_delete_account_before_submit',
        'bp_members_delete_account_after_submit',
        'bp_after_member_body',
        'bp_after_member_settings_template',
        'bp_before_member_settings_template',
        'bp_member_options_nav',
        'bp_before_member_body',
        'bp_member_plugin_options_nav',
        'bp_template_content',
        'bp_core_general_settings_before_submit',
        'bp_core_general_settings_after_submit',
        'bp_after_member_body',
        'bp_after_member_settings_template',
        'bp_before_member_settings_template',
        'bp_member_options_nav',
        'bp_before_member_body',
        'bp_member_plugin_options_nav',
        'bp_template_content',
        'bp_notification_settings',
        'bp_members_notification_settings_before_submit',
        'bp_members_notification_settings_after_submit',
        'bp_after_member_body',
        'bp_after_member_settings_template',
        'bp_before_member_settings_template',
        'bp_member_options_nav',
        'bp_before_member_body',
        'bp_member_plugin_options_nav',
        'bp_template_content',
        'bp_core_xprofile_settings_before_submit',
        'bp_core_xprofile_settings_after_submit',
        'bp_after_member_settings_template',
        'bp_before_blog_page',
        'bp_after_blog_page',
        'bp_before_blog_page',
        'bp_after_blog_page',
        'bp_before_activation_page',
        'template_notices',
        'bp_before_activate_content',
        'bp_after_activate_content',
        'bp_after_activation_page',
        'bp_before_register_page',
        'template_notices',
        'bp_before_registration_disabled',
        'bp_after_registration_disabled',
        'template_notices',
        'bp_before_account_details_fields',
        'bp_signup_username_errors',
        'bp_signup_email_errors',
        'bp_signup_password_errors',
        'bp_signup_password_confirm_errors',
        'bp_account_details_fields',
        'bp_after_account_details_fields',
        'bp_before_signup_profile_fields',
        'bp_custom_profile_edit_fields_pre_visibility',
        'bp_custom_profile_edit_fields',
        'bp_signup_profile_fields',
        'bp_after_signup_profile_fields',
        'bp_before_blog_details_fields',
        'bp_signup_blog_url_errors',
        'bp_signup_blog_title_errors',
        'bp_signup_blog_privacy_errors',
        'bp_blog_details_fields',
        'bp_after_blog_details_fields',
        'bp_before_registration_submit_buttons',
        'bp_after_registration_submit_buttons',
        'template_notices',
        'bp_before_registration_confirmed',
        'bp_after_registration_confirmed',
        'bp_custom_signup_steps',
        'bp_after_register_page',
        'bp_before_blog_search',
        'bp_before_blog_post',
        'bp_after_blog_post',
        'bp_after_blog_search',
        'bp_before_blog_search_form',
        'bp_blog_search_form',
        'bp_after_blog_search_form',
        'bp_before_sidebar',
        'bp_inside_before_sidebar',
        'bp_before_sidebar_me',
        'bp_sidebar_me',
        'bp_after_sidebar_me',
        'bp_before_sidebar_login_form',
        'bp_sidebar_login_form',
        'bp_after_sidebar_login_form',
        'bp_inside_after_sidebar',
        'bp_after_sidebar',
        'bp_before_blog_single_post',
        'bp_after_blog_single_post',
        'bp_xprofile_settings_before_save',
        'bp_xprofile_settings_after_save',
        'xprofile_register_activity_actions',
        'bp_custom_profile_edit_fields_pre_visibility',
        'bp_custom_profile_edit_fields',
        'xprofile_screen_edit_profile',
        'xprofile_avatar_uploaded',
        'xprofile_screen_change_avatar',
        'xprofile_profile_group_tabs'
    );

    /**
     * @since  1.0.0
     * @param  object $hookie
     * @return  void
     */
    public function init_hooks( $hookie ){
        if( is_array( $this->hooks ) && ( 0 < count( $this->hooks ) ) ){

            // Hook up the admin-only hooks, if we're in the admin.
            if( is_admin() ){
                $this->hooks = array_merge( $this->hooks, $this->get_admin_hooks() );
            }

            foreach( $this->hooks as $k => $v ){
                $hookie->add_hook( $v, 'hookie-buddypress' );
            }
        }
    }

// End init_hooks˙()

    /**
     * Return an array of hooks that execute only in the admin.
     * @since  1.0.0
     * @return array Array of admin-only hooks.
     */
    private function get_admin_hooks(){
        return array(
        );
    }

// End get_admin_hooks()
}

// End Class
